using TravelCompanyContracts.SearchModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.TouristBindingModels;
using TravelCompanyContracts.SearchModels.TouristSearchModels;
using TravelCompanyContracts.ViewModels.TouristViewModels;

namespace TravelCompanyContracts.StoragesContracts.TouristStoragesContracts
{
    public interface IExcursionStorage
    {
        List<ExcursionViewModel> GetFullList();
        List<ExcursionViewModel> GetFilteredList(ExcursionSearchModel model);
        ExcursionViewModel? GetElement(ExcursionSearchModel model);
        ExcursionViewModel? Insert(ExcursionBindingModel model);
        ExcursionViewModel? Update(ExcursionBindingModel model);
        ExcursionViewModel? Delete(ExcursionBindingModel model);
    }
}
